import { createAction, props } from '@ngrx/store';

import { VersionInfo2Response, VersionInfo2Request } from '@ucap/api-public';
import { UrlInfoRequest, UrlInfoResponse } from '@ucap/api-external';

export const versionInfo2 = createAction(
  '[ucap::app::app] versionInfo2',
  props<{ req: VersionInfo2Request }>()
);

export const versionInfo2Success = createAction(
  '[ucap::app::app] versionInfo2 Success',
  props<{ res: VersionInfo2Response }>()
);

export const versionInfo2Failure = createAction(
  '[ucap::app::app] versionInfo2 Failure',
  props<{ error: any }>()
);

export const urlInfo = createAction(
  '[ucap::app::app] urlInfo',
  props<{ req: UrlInfoRequest }>()
);

export const urlInfoSuccess = createAction(
  '[ucap::app::app] urlInfo Success',
  props<{ res: UrlInfoResponse }>()
);

export const urlInfoFailure = createAction(
  '[ucap::app::app] urlInfo Failure',
  props<{ error: any }>()
);
